Create Table S3 / Snowflake / GCS

Creates a permanent AWS S3 or Snowflake table. Note that before creating a table, you must create an integration.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
📘

Note:

Before creating a table, you need to create either a Snowflake integration or an AWS S3 integration.

Request Overview:

This endpoint involves a two-step process:

  1. Create the Table: Use this request to create a table for storing data.
  2. Request a Report: Once the table is created, you can request new reports and append the data to the previously created table.
📘

Note:

Both the request for creating a table (step 1) and the request for appending data (step 2) use similar parameters but have different URLs.

Step 1: Creates the table and pushes the requested data.

Step 2: Recurring requests to append new data to the created table.

Request Body Params

The request body follows the same structure as the "Request Report" endpoint but focuses on the delivery_information section.

PropertyDescriptionType
report_queryReport query parameters.ReportQuery
delivery_informationDelivery information parameters.DeliveryInformation

DeliveryInformation Object

PropertyDescriptionType
delivery_methodSet the Delivery Method.Enum[bucket_access,snowflake,google_bucket_access]
response_formatMandatory only for "download_link" and "bucket_access" delivery methods. Set the File format of the generated report.Enum[json,csv,parquet,orc,delta]
webhook_urlOptional. Set a webhook url to trigger when the report status is changed.String
delivery_method_paramsOnly relevant for delivery methods - "snowflake" and "bucket_access". Set delivery method configurations.DeliveryMethodPropsRequest

DeliveryMethodPropsRequest Object

PropertyDescriptionType
integration_nameOptional. Only relevant in case of integration setup. see s3-setup or snowflake-setupString
table_nameMandatory. Pushes the data into a specific table.String
retention_daysOptional. Specifies how long data is retained, with a default of 30 days. Can be set to 1, 30, 60, 180, or 365 days.Integer
num_of_filesOptional. Relevant only for delivery_method "bucket_access". Sets the number of generated files. must be greater then zero.String
write_modeOptional. Accepted value: 'overwrite' - used when working with an S3 table to replace data for specific dates.Strin
Body Params
string
Defaults to { "report_name": "my_report_name", "delivery_information": { "response_format": "csv", "delivery_method": "bucket_access", "delivery_method_params": { "integration_name": "test_s3", "table_name": "test" } }, "report_query": { "tables": [ { "vtable": "traffic_and_engagement", "granularity": "monthly", "latest": true, "filters": { "domains": [ "amazon.com" ], "countries": [ "US" ], "include_subdomains": true }, "metrics": [ "all_traffic_visits", "desktop_visits" ] } ] } }
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json